| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Typedefs | Functions
videoV4L2.h File Reference
`#include <ARX/ARVideo/video.h>`
Include dependency graph for videoV4L2.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef struct _AR2VideoParamV4L2T | AR2VideoParamV4L2T

## Functions
int | ar2VideoDispOptionV4L2 (void)
AR2VideoParamV4L2T * | ar2VideoOpenV4L2 (const char *config)
int | ar2VideoCloseV4L2 (AR2VideoParamV4L2T *vid)
int | ar2VideoGetIdV4L2 (AR2VideoParamV4L2T *vid, ARUint32 *id0, ARUint32 *id1)
int | ar2VideoGetSizeV4L2 (AR2VideoParamV4L2T *vid, int *x, int *y)
AR_PIXEL_FORMAT | ar2VideoGetPixelFormatV4L2 (AR2VideoParamV4L2T *vid)
AR2VideoBufferT * | ar2VideoGetImageV4L2 (AR2VideoParamV4L2T *vid)
int | ar2VideoCapStartV4L2 (AR2VideoParamV4L2T *vid)
int | ar2VideoCapStopV4L2 (AR2VideoParamV4L2T *vid)
int | ar2VideoGetParamiV4L2 (AR2VideoParamV4L2T *vid, int paramName, int *value)
int | ar2VideoSetParamiV4L2 (AR2VideoParamV4L2T *vid, int paramName, int value)
int | ar2VideoGetParamdV4L2 (AR2VideoParamV4L2T *vid, int paramName, double *value)
int | ar2VideoSetParamdV4L2 (AR2VideoParamV4L2T *vid, int paramName, double value)
int | ar2VideoGetParamsV4L2 (AR2VideoParamV4L2T *vid, const int paramName, char **value)
int | ar2VideoSetParamsV4L2 (AR2VideoParamV4L2T *vid, const int paramName, const char *value)
ARVideoSourceInfoListT * | ar2VideoCreateSourceInfoListV4L2 (const char *config_in)

## Typedef Documentation

## ◆ AR2VideoParamV4L2T

typedef struct _AR2VideoParamV4L2T AR2VideoParamV4L2T

## Function Documentation

## ◆ ar2VideoCapStartV4L2()

int ar2VideoCapStartV4L2 | ( | AR2VideoParamV4L2T * | vid | ) |

## ◆ ar2VideoCapStopV4L2()

int ar2VideoCapStopV4L2 | ( | AR2VideoParamV4L2T * | vid | ) |

## ◆ ar2VideoCloseV4L2()

int ar2VideoCloseV4L2 | ( | AR2VideoParamV4L2T * | vid | ) |

## ◆ ar2VideoCreateSourceInfoListV4L2()

ARVideoSourceInfoListT * ar2VideoCreateSourceInfoListV4L2 | ( | const char * | config_in | ) |

## ◆ ar2VideoDispOptionV4L2()

int ar2VideoDispOptionV4L2 | ( | void |  | ) |

## ◆ ar2VideoGetIdV4L2()

int ar2VideoGetIdV4L2 | ( | AR2VideoParamV4L2T * | vid,
|  | ARUint32 * | id0,
|  | ARUint32 * | id1
| ) |  |

## ◆ ar2VideoGetImageV4L2()

AR2VideoBufferT * ar2VideoGetImageV4L2 | ( | AR2VideoParamV4L2T * | vid | ) |

## ◆ ar2VideoGetParamdV4L2()

int ar2VideoGetParamdV4L2 | ( | AR2VideoParamV4L2T * | vid,
|  | int | paramName,
|  | double * | value
| ) |  |

## ◆ ar2VideoGetParamiV4L2()

int ar2VideoGetParamiV4L2 | ( | AR2VideoParamV4L2T * | vid,
|  | int | paramName,
|  | int * | value
| ) |  |

## ◆ ar2VideoGetParamsV4L2()

int ar2VideoGetParamsV4L2 | ( | AR2VideoParamV4L2T * | vid,
|  | const int | paramName,
|  | char ** | value
| ) |  |

## ◆ ar2VideoGetPixelFormatV4L2()

AR_PIXEL_FORMAT ar2VideoGetPixelFormatV4L2 | ( | AR2VideoParamV4L2T * | vid | ) |

## ◆ ar2VideoGetSizeV4L2()

int ar2VideoGetSizeV4L2 | ( | AR2VideoParamV4L2T * | vid,
|  | int * | x,
|  | int * | y
| ) |  |

## ◆ ar2VideoOpenV4L2()

AR2VideoParamV4L2T * ar2VideoOpenV4L2 | ( | const char * | config | ) |

## ◆ ar2VideoSetParamdV4L2()

int ar2VideoSetParamdV4L2 | ( | AR2VideoParamV4L2T * | vid,
|  | int | paramName,
|  | double | value
| ) |  |

## ◆ ar2VideoSetParamiV4L2()

int ar2VideoSetParamiV4L2 | ( | AR2VideoParamV4L2T * | vid,
|  | int | paramName,
|  | int | value
| ) |  |

## ◆ ar2VideoSetParamsV4L2()

int ar2VideoSetParamsV4L2 | ( | AR2VideoParamV4L2T * | vid,
|  | const int | paramName,
|  | const char * | value
| ) |  |